## dar 1.5.2

=== DESCRIPTION ===
Package: dar
Title: Differential Abundance Analysis by Consensus
Version: 1.5.2
Date: 2025-10-14
Authors@R: 
    c(person(given = "Francesc",
             family = "Catala-Moll",
             role = c("aut", "cre"),
             email = "fcatala@irsicaixa.es",
             comment = c(ORCID = "0000-0002-2354-8648"))
    )
Description: Differential abundance testing in microbiome data challenges both 
    parametric and non-parametric statistical methods, due to its sparsity, high 
    variability and compositional nature. Microbiome-specific statistical 
    methods often assume classical distribution models or take into account 
    compositional specifics. These produce results that range within the 
    specificity vs sensitivity space in such a way that type I and type II error 
    that are difficult to ascertain in real microbiome data when a single method 
    is used. Recently, a consensus approach based on multiple differential 
    abundance (DA) methods was recently suggested in order to increase robustness. 
    With dar, you can use dplyr-like pipeable sequences of DA methods and then 
    apply different consensus strategies. In this way we can obtain more reliable 
    results in a fast, consistent and reproducible way.
License: MIT + file LICENSE
Encoding: UTF-8
Roxygen: list(roclets = c("collate", "namespace", "rd",
        "roxytest::testthat_roclet", "roxyglobals::global_roclet"),
        markdown = TRUE)
URL: https://github.com/MicrobialGenomics-IrsicaixaOrg/dar,
        https://microbialgenomics-irsicaixaorg.github.io/dar/
BugReports: https://github.com/MicrobialGenomics-IrsicaixaOrg/dar/issues
biocViews: Software, Sequencing, Microbiome, Metagenomics,
        MultipleComparison, Normalization
Imports: cli, ComplexHeatmap, crayon, dplyr, generics, ggplot2, glue,
        gplots, heatmaply, magrittr, methods, mia, phyloseq, purrr,
        readr, rlang (>= 0.4.11), scales, stringr, tibble, tidyr,
        UpSetR, waldo
Suggests: ALDEx2, ANCOMBC, apeglm, ashr, Biobase, corncob, covr,
        DESeq2, devtools, furrr, future, knitr, lefser, limma,
        Maaslin2, metagenomeSeq, microbiome, rmarkdown, roxygen2,
        roxyglobals, roxytest, rstatix, SummarizedExperiment,
        TreeSummarizedExperiment, testthat (>= 3.0.0), GenomeInfoDb
Config/testthat/edition: 3
Depends: R (>= 4.5.0)
LazyData: false
Collate: 'recipe-class.R' 'aldex2.R' 'ancom.R' 'bake.R' 'corncob.R'
        'dar-package.R' 'data.R' 'deseq2.R' 'filter_by_abundance.R'
        'filter_by_prevalence.R' 'filter_by_rarity.R'
        'filter_by_variance.R' 'filter_taxa.R' 'globals.R' 'lefse.R'
        'maaslin2.R' 'metagenomeseq.R' 'misc.R' 'phyloseq_qc.R'
        'pkg_check.R' 'plot_methods.R' 'rarefaction.R' 'read_data.R'
        'steps_and_checks.R' 'subset_taxa.R' 'utils-pipe.R'
        'utils-tidy-eval.R' 'utils.R' 'wilcox.R'
VignetteBuilder: knitr
Config/roxyglobals/filename: globals.R
Config/roxyglobals/unique: TRUE
Config/testthat/parallel: true
RoxygenNote: 7.3.3
git_url: https://git.bioconductor.org/packages/dar
git_branch: devel
git_last_commit: 9e7cc12
git_last_commit_date: 2025-10-17
Repository: Bioconductor 3.22
Date/Publication: 2025-10-17
NeedsCompilation: no
Packaged: 2025-10-17 21:12:22 UTC; biocbuild
Author: Francesc Catala-Moll [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-2354-8648>)
Maintainer: Francesc Catala-Moll <fcatala@irsicaixa.es>

## dar 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dar
 Title: Differential Abundance Analysis by Consensus
-Version: 1.5.2
+Version: 1.6.0
 Date: 2025-10-14
 Authors@R: 
     c(person(given = "Francesc",
@@ -57,13 +57,13 @@
 Config/testthat/parallel: true
 RoxygenNote: 7.3.3
 git_url: https://git.bioconductor.org/packages/dar
-git_branch: devel
-git_last_commit: 9e7cc12
-git_last_commit_date: 2025-10-17
+git_branch: RELEASE_3_22
+git_last_commit: 0a164df
+git_last_commit_date: 2025-10-29
 Repository: Bioconductor 3.22
-Date/Publication: 2025-10-17
+Date/Publication: 2025-10-29
 NeedsCompilation: no
-Packaged: 2025-10-17 21:12:22 UTC; biocbuild
+Packaged: 2025-10-30 03:32:09 UTC; biocbuild
 Author: Francesc Catala-Moll [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-2354-8648>)
 Maintainer: Francesc Catala-Moll <fcatala@irsicaixa.es>

## dar 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dar
 Title: Differential Abundance Analysis by Consensus
-Version: 1.6.0
+Version: 1.7.0
 Date: 2025-10-14
 Authors@R: 
     c(person(given = "Francesc",
@@ -57,13 +57,13 @@
 Config/testthat/parallel: true
 RoxygenNote: 7.3.3
 git_url: https://git.bioconductor.org/packages/dar
-git_branch: RELEASE_3_22
-git_last_commit: 0a164df
+git_branch: devel
+git_last_commit: 6a93481
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-03
 NeedsCompilation: no
-Packaged: 2025-10-30 03:32:09 UTC; biocbuild
+Packaged: 2025-11-03 22:09:42 UTC; biocbuild
 Author: Francesc Catala-Moll [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-2354-8648>)
 Maintainer: Francesc Catala-Moll <fcatala@irsicaixa.es>

## dar 2.3.10

=== debian/changelog ===
dar (2.3.10-1) unstable; urgency=low

  * New upstream release.
    * Upstream fix for #545634 - install fails.
    * Fix confusing message (closes: #572837).
    * Fix typos (closes: #554712).
    * Added examples section that points towards tutorial (closes: #551369).
    * Error message with --merge --exclude-from-file fixed (closes: #537998).
  * Update standards version to 3.8.4.

 -- Brian May <bam@debian.org>  Mon, 12 Apr 2010 09:23:12 +1000

dar (2.3.9-3) unstable; urgency=low

  * Use new 3.0 (quilt) format.
  * Update my email address.

 -- Brian May <bam@debian.org>  Mon, 15 Feb 2010 14:06:42 +1100

dar (2.3.9-2) unstable; urgency=low

  * Apply patch contributed from Ubuntu:
    doc/Makefile.in: use cp -a instead of install as it allow to copy the search
    directory. This fix a FTBFS with error "/usr/bin/install: omitting directory
    `html/search'". Closes: #545634.

 -- Brian May <bam@snoopy.debian.net>  Wed, 21 Oct 2009 10:35:30 +1100

dar (2.3.9-1) unstable; urgency=low

  * New upstream release
  * Upstream fix for bashism reported in #489559.
  * Upstream exception for GPL included in LICENSING_EXCEPTION_FOR_OPENSSL in
    source code.

 -- Brian May <bam@snoopy.debian.net>  Sun, 12 Jul 2009 19:29:42 +1000

dar (2.3.8-4) unstable; urgency=low

  * Add home page header to control file. Closes: #522515.
  * Move dar_par.dcf, dar_par_create.duc, dar_par_test.duc  to /usr/share/dar
    in dar package. Closes: #404276.
  * Fix lintian warnings. Update debian/compat, standards version, etc.

 -- Brian May <bam@snoopy.debian.net>  Mon, 06 Apr 2009 09:36:55 +1000

dar (2.3.8-3) unstable; urgency=low

  * Fix bashism in sample pause_every_n_slice.duc (closes: #489559).

 -- Brian May <bam@snoopy.debian.net>  Mon, 21 Jul 2008 18:25:25 +1000

dar (2.3.8-2) unstable; urgency=low

  * Dcoument GPL exception in debian/copyright to allow distribution with
    OpenSSL.

 -- Brian May <bam@snoopy.debian.net>  Sun, 13 Jul 2008 09:31:23 +1000

dar (2.3.8-1) unstable; urgency=low

  * New upstream release, closes: #488103.
  * Update to standards version 3.8.0.
  * Fix copyright notice.
  * Replace ${Source-Version} with ${binary:Version} in Debian/control.

 -- Brian May <bam@snoopy.debian.net>  Fri, 27 Jun 2008 18:55:34 +1000

dar (2.3.7-1) unstable; urgency=low

  * New upstream version.
  * Fixed compilation with gcc 4.3, closes: #461667.

 -- Brian May <bam@snoopy.debian.net>  Mon, 11 Feb 2008 13:18:20 +1100

dar (2.3.5-1) unstable; urgency=low

  * New upstream release
  * Write errors no longer occur indefinitely (closes: #418538).

 -- Brian May <bam@snoopy.debian.net>  Thu, 30 Aug 2007 13:40:18 +1000

dar (2.3.4-1) unstable; urgency=low

  * New upstream version (closes: 433395).
  * Renders archives created with 2.3.3-1 unreadable.
  * Please see http://bugs.debian.org/433395 for work around.

 -- Brian May <bam@snoopy.debian.net>  Tue, 17 Jul 2007 09:53:54 +1000

dar (2.3.3-1) unstable; urgency=low

  * New upstream version.
  * Fix bugs with hard links, closes: 425824.
  * Apply patch to increase security of blowfish2 cipher, closes: 425335.

 -- Brian May <bam@snoopy.debian.net>  Mon,  4 Jun 2007 10:06:17 +1000

dar (2.3.2-1) unstable; urgency=low

  * New upstream version.
  * Closes #390041, new upstream available.
  * Closes #372875, constant prompt when restoring files with default ACL.
  * Update maintainer email address.

 -- Brian May <bam@snoopy.debian.net>  Fri, 17 Nov 2006 12:16:11 +1100

dar (2.3.0-5) unstable; urgency=low

  * Change libdar-dev to depend on libdar64-4. Closes: #378431.

 -- Brian May <bam@debian.org>  Wed, 19 Jul 2006 20:56:07 +1000

dar (2.3.0-4) unstable; urgency=low

  * Replace libdar package with libdar64_4 (closes: #376586).

 -- Brian May <bam@debian.org>  Sat,  8 Jul 2006 17:14:01 +1000

dar (2.3.0-3) unstable; urgency=low

  * Enable 64 bit integer support. Closes: #373565.
  * Remove bashism in debian/rules. Closes: #374589.

 -- Brian May <bam@debian.org>  Sun,  2 Jul 2006 11:10:04 +1000

dar (2.3.0-2) unstable; urgency=low

  * Split documentation into seperate package (Closes: 357673).
  * Update Debian standards version to 3.7.2.

 -- Brian May <bam@debian.org>  Sun, 14 May 2006 11:33:52 +1000

dar (2.3.0-1) unstable; urgency=low

  * New upstream version.
  * Fix typo in man page. Closes: #330091.
  * Use cdbs for build.

 -- Brian May <bam@debian.org>  Sun, 12 Mar 2006 12:38:01 +1100

dar (2.2.4-2) unstable; urgency=low

  * Unscrew upload (closes: #341664).
    (read: fix libdar-dev depends on libdar3c2a).

 -- Brian May <bam@debian.org>  Sat,  3 Dec 2005 16:35:42 +1100

dar (2.2.4-1) unstable; urgency=low

  * New upstream version.
  * Rename library for C++ library transistion c2a (closes: #339159).

 -- Brian May <bam@debian.org>  Thu, 24 Nov 2005 14:20:45 +1100

dar (2.2.3-2) unstable; urgency=low

  * Disable UPX support (closes: #331696).

 -- Brian May <bam@debian.org>  Sun, 16 Oct 2005 10:49:04 +1000

dar (2.2.3-1) unstable; urgency=low

  * New upstream version.
    * Fixes configure tests (closes: #320088).
    * Fixes Linuxisms (closes: #319106).
    * Fix man page for gzip option (closes: #313098).

 -- Brian May <bam@debian.org>  Mon, 26 Sep 2005 14:41:28 +1000

dar (2.2.2-1) unstable; urgency=low

  * New upstream version.
  * Enable EA/ACL support (closes: #319729).

 -- Brian May <bam@debian.org>  Thu, 25 Aug 2005 09:55:34 +1000

dar (2.2.1-2) unstable; urgency=low

  * Rename library package to libdar3 (closes: #313094).
  * libdar3 conflicts with libdar2.
  * Build with gcc-4.0.

 -- Brian May <bam@debian.org>  Thu,  7 Jul 2005 15:53:26 +1000

dar (2.2.1-1) unstable; urgency=low

  * New upstream version (closes: #294438).
  * Add suggested par2 (closes: #291499).
  * Add e2fslibs-dev to build depends, enable nodump (closes: #269570).
  * Add libssl-dev to build depends to enable encrypted support.
  * Update to Debian standards 3.6.1.

 -- Brian May <bam@debian.org>  Thu, 31 Mar 2005 11:13:22 +1000



=== debian/control ===
Source: dar
Section: utils
Priority: optional
Maintainer: Brian May <bam@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libssl-dev, cdbs, doxygen, groff
Homepage: http://dar.linux.free.fr/
Standards-Version: 3.8.4

Package: libdar-dev
Section: libdevel
Architecture: any
Depends: libdar64-4 (= ${binary:Version}), ${misc:Depends}
Description: Disk ARchive: Development files for shared library
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.

Package: libdar64-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Disk ARchive: Shared library
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.
 .
 This package contains the shared library for accessing archives.

Package: dar-static
Section: utils
Architecture: any
Depends: ${misc:Depends}
Description: Disk ARchive: Backup directory tree and files
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.
 .
 This package contains the static binary, dar_static.

Package: dar
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: par2, dar-docs
Description: Disk ARchive: Backup directory tree and files
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.

Package: dar-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Disk ARchive: Backup directory tree and files
 Full featured archiver with support for differential backups, slices,
 compression, ATTR/ACL support. DAR also supports Pipes for remote
 operations, including with ssh.
 .
 This package contains the documentation and example files.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64

DEB_DH_INSTALL_SOURCEDIR = debian/tmp

DEB_INSTALL_DOCS_ALL =

binary-post-install/dar::
	sed -e "s%SOMEPATH%/usr/share/dar/examples%g" doc/samples/dar_par.dcf > debian/dar/usr/share/dar/dar_par.dcf
	cp doc/samples/dar_par_create.duc debian/dar/usr/share/dar
	cp doc/samples/dar_par_test.duc debian/dar/usr/share/dar

binary-post-install/dar-docs::
	mv debian/dar-docs/usr/share/dar/* debian/dar-docs/usr/share/doc/dar-docs
	rmdir debian/dar-docs/usr/share/dar
	rm debian/dar-docs/usr/share/doc/dar-docs/samples/dar_par.dcf
	rm debian/dar-docs/usr/share/doc/dar-docs/samples/dar_par_create.duc
	rm debian/dar-docs/usr/share/doc/dar-docs/samples/dar_par_test.duc
	mv debian/dar-docs/usr/share/doc/dar-docs/samples debian/dar-docs/usr/share/doc/dar-docs/examples
	chmod 644  debian/dar-docs/usr/share/doc/dar-docs/examples/MyBackup.sh.tar.gz

binary-post-install/dar-static::
	mv debian/dar-static/usr/share/man/man1/dar.1 debian/dar-static/usr/share/man/man1/dar_static.1

## dar 2.4.0

=== debian/changelog ===
dar (2.4.0-1) unstable; urgency=low

  * New upstream release (closes: #633109).
  * Fixes error when try to restore files using dar_manager (closes: #533368).
  * Increment soname of libdar64 from 4 to 5.
  * Update standards version to 3.9.2

 -- Brian May <bam@debian.org>  Mon, 11 Jul 2011 12:09:54 +1000

dar (2.3.10-2) unstable; urgency=low

  * Remove *.la files (closes: #621189).

 -- Brian May <bam@debian.org>  Thu, 07 Apr 2011 10:04:44 +1000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libssl-dev, cdbs, doxygen, groff
+Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libssl-dev, cdbs, doxygen, groff, autotools-dev
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-4 (= ${binary:Version}), ${misc:Depends}
+Depends: libdar64-5 (= ${binary:Version}), ${misc:Depends}
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-4
+Package: libdar64-5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_INSTALL_DOCS_ALL =
 
 binary-post-install/dar::
-	sed -e "s%SOMEPATH%/usr/share/dar/examples%g" doc/samples/dar_par.dcf > debian/dar/usr/share/dar/dar_par.dcf
+	sed -e "s%SOMEPATH%/usr/share/dar%g" doc/samples/dar_par.dcf > debian/dar/usr/share/dar/dar_par.dcf
 	cp doc/samples/dar_par_create.duc debian/dar/usr/share/dar
 	cp doc/samples/dar_par_test.duc debian/dar/usr/share/dar
 
@@ -21,6 +21,7 @@
 	rm debian/dar-docs/usr/share/doc/dar-docs/samples/dar_par_test.duc
 	mv debian/dar-docs/usr/share/doc/dar-docs/samples debian/dar-docs/usr/share/doc/dar-docs/examples
 	chmod 644  debian/dar-docs/usr/share/doc/dar-docs/examples/MyBackup.sh.tar.gz
+	rm debian/dar-docs/usr/share/doc/dar-docs/html/jquery.js
 
 binary-post-install/dar-static::
 	mv debian/dar-static/usr/share/man/man1/dar.1 debian/dar-static/usr/share/man/man1/dar_static.1

## dar 2.4.2

=== debian/changelog ===
dar (2.4.2-1) unstable; urgency=low

  * New upstream release
  * Fixed reading catalogues created with dar 2.3.x (closes: #642915).
  * Fixed dates not increasing error (closes: #637997).
  * Build against gcrypt (closes: #638017, #639417).
  * Build against liblzo2 (closes: #639206).
  * Remove openssl clause from license.
  * Don't build dar-static, it is broken until #632889 gets fixed.
  * Register documentation with doc-base.

 -- Brian May <bam@debian.org>  Tue, 18 Oct 2011 11:56:21 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libssl-dev, cdbs, doxygen, groff, autotools-dev
+Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev
 Homepage: http://dar.linux.free.fr/
 Standards-Version: 3.9.2
 
@@ -26,19 +26,7 @@
  .
  This package contains the shared library for accessing archives.
 
-Package: dar-static
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}
-Description: Disk ARchive: Backup directory tree and files
- Full featured archiver with support for differential backups, slices,
- compression, ATTR/ACL support. DAR also supports Pipes for remote
- operations, including with ssh.
- .
- This package contains the static binary, dar_static.
-
 Package: dar
-Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: par2, dar-docs

## dar 2.4.5

=== debian/changelog ===
dar (2.4.5.debian.1-1) unstable; urgency=low

  * Use prestine upstream source. No changes.

 -- Brian May <bam@debian.org>  Tue, 12 Jun 2012 11:29:00 +1000

dar (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Adds -ai option (closes: #665387).
  * Update debian standards version to 3.9.3.

 -- Brian May <bam@debian.org>  Wed, 02 May 2012 15:31:52 +1000

dar (2.4.0-2) unstable; urgency=low

  * Build against gcrypt (closes: #638017).
  * Build against liblzo2 (closes: #639206).
  * Remove openssl clause from license.
  * Don't build dar-static, it is broken until #632889 gets fixed.

 -- Brian May <bam@debian.org>  Thu, 18 Aug 2011 14:08:27 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: libdar-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,3 @@
 	mv debian/dar-docs/usr/share/doc/dar-docs/samples debian/dar-docs/usr/share/doc/dar-docs/examples
 	chmod 644  debian/dar-docs/usr/share/doc/dar-docs/examples/MyBackup.sh.tar.gz
 	rm debian/dar-docs/usr/share/doc/dar-docs/html/jquery.js
-
-binary-post-install/dar-static::
-	mv debian/dar-static/usr/share/man/man1/dar.1 debian/dar-static/usr/share/man/man1/dar_static.1

## dar 2.4.8

=== debian/changelog ===
dar (2.4.8-1ubuntu1) trusty; urgency=medium

  * Manually update libtool files to add support for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 20 Mar 2014 13:52:02 -0400

dar (2.4.8-1) unstable; urgency=low

  * New upstream version.
  * Enable building of dar-static again, #632889 was fixed. Closes: #689244.

 -- Brian May <bam@debian.org>  Sun, 21 Oct 2012 18:50:48 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dar
 Section: utils
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev
 Homepage: http://dar.linux.free.fr/
 Standards-Version: 3.9.3
@@ -26,6 +27,16 @@
  .
  This package contains the shared library for accessing archives.
 
+Package: dar-static
+Architecture: any
+Depends: ${misc:Depends}
+Description: Disk ARchive: Backup directory tree and files
+ Full featured archiver with support for differential backups, slices,
+ compression, ATTR/ACL support. DAR also supports Pipes for remote
+ operations, including with ssh.
+ .
+ This package contains the static binary, dar_static.
+
 Package: dar
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,8 @@
 	mv debian/dar-docs/usr/share/doc/dar-docs/samples debian/dar-docs/usr/share/doc/dar-docs/examples
 	chmod 644  debian/dar-docs/usr/share/doc/dar-docs/examples/MyBackup.sh.tar.gz
 	rm debian/dar-docs/usr/share/doc/dar-docs/html/jquery.js
+
+binary-post-install/dar-static::
+	mv debian/dar-static/usr/share/man/man1/dar.1 debian/dar-static/usr/share/man/man1/dar_static.1
+	mkdir -p debian/dar-static/usr/share/lintian/overrides
+	cp -p debian/dar-static.lintian debian/dar-static/usr/share/lintian/overrides/dar-static

## dar 2.4.12

=== debian/changelog ===
dar (2.4.12-2) unstable; urgency=low

  * Run dh-autoreconf to update {libtool,aclocal}.m4. Closes: #744562.

 -- Brian May <bam@debian.org>  Sun, 20 Apr 2014 10:12:58 +1000

dar (2.4.12-1) unstable; urgency=low

  * New upstream version. Closes: #741712.
  * Use 5000.5.0 for shared iibrary name as per upstream.

 -- Brian May <bam@debian.org>  Sat, 22 Mar 2014 12:55:21 +1100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: dar
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev
+Maintainer: Brian May <bam@debian.org>
+Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-5 (= ${binary:Version}), ${misc:Depends}
+Depends: libdar64-5000 (= ${binary:Version}), ${misc:Depends}
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-5
+Package: libdar64-5000
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

## dar 2.4.15

=== debian/changelog ===
dar (2.4.15-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .
  * New maintainer (closes: #642372).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Oct 2014 06:39:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dar
 Section: utils
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: libdar-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64

## dar 2.4.17

=== debian/changelog ===
dar (2.4.17-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 22:34:49 +0000

dar (2.4.17-1) unstable; urgency=low

  * New upstream release.
  * Specify libraries dar-static linked with (closes: #769354).
  * Install darrc config file (closes: #751968).
  * Install localization files.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 May 2015 17:53:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dar
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
 Homepage: http://dar.linux.free.fr/
 Standards-Version: 3.9.6
@@ -9,16 +10,18 @@
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-5000 (= ${binary:Version}), ${misc:Depends}
+Depends: libdar64-5000v5 (= ${binary:Version}), ${misc:Depends}
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-5000
+Package: libdar64-5000v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libdar64-5000
+Replaces: libdar64-5000
 Description: Disk ARchive: Shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
@@ -29,6 +32,7 @@
 Package: dar-static
 Architecture: any
 Depends: ${misc:Depends}
+Built-Using: glibc (= 2.19-18), attr (= 1:2.4.47-2), bzip2 (= 1.0.6-7), libgcrypt20 (= 1.6.3-2), libgpg-error (= 1.17-3), lzo2 (= 2.08-1.2), zlib (= 1:1.2.8.dfsg-2)
 Description: Disk ARchive: Backup directory tree and files
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote

## dar 2.5.3

=== debian/changelog ===
dar (2.5.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Retain Conflicts/Replaces for reverted rename, which can be dropped
      after the xenial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jan 2016 17:27:23 -0800

dar (2.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Jan 2016 17:08:24 +0100

dar (2.5.2-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert library name change since this package has no reverse
      dependencies.  Provide reversed Conflicts/Replaces, which can be dropped
      after the xenial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Nov 2015 10:21:24 -0800

dar (2.5.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patch for sequential read mode fix, this release contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Nov 2015 09:48:29 +0100

dar (2.5.1-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert library name change since this package has no reverse
      dependencies.  Provide reversed Conflicts/Replaces, which can be dropped
      after the xenial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Nov 2015 15:04:10 -0800

dar (2.5.1-2) unstable; urgency=medium

  * Backport upstream fix for sequential read mode (closes: #805119).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Nov 2015 18:47:20 +0100

dar (2.5.1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Revert library name change since this package has no reverse
      dependencies.  Provide reversed Conflicts/Replaces, which can be dropped
      after the xenial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Nov 2015 13:34:56 -0600

dar (2.5.1-1) unstable; urgency=low

  * New upstream release.
  * Do multiarch packaging.
  * Add required libgpgme11-dev to build depends.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Nov 2015 16:22:35 +0100

dar (2.4.18-1ubuntu1) xenial; urgency=low

  * Sync from Debian unstable.
  * Revert library name change since this package has no reverse
    dependencies.  Provide reversed Conflicts/Replaces, which can be dropped
    after the xenial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Oct 2015 22:02:53 -0700

dar (2.4.18-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Sep 2015 10:58:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,26 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
+Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, libgpgme11-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
 Homepage: http://dar.linux.free.fr/
 Standards-Version: 3.9.6
 
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-5000v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libdar64-5000 (= ${binary:Version}), ${misc:Depends}
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-5000v5
+Package: libdar64-5000
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libdar64-5000
-Replaces: libdar64-5000
+Conflicts: libdar64-5000v5
+Replaces: libdar64-5000v5
 Description: Disk ARchive: Shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
@@ -52,6 +53,7 @@
 Package: dar-docs
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Disk ARchive: Backup directory tree and files
  Full featured archiver with support for differential backups, slices,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp

## dar 2.5.5

=== debian/changelog ===
dar (2.5.5-1) unstable; urgency=low

  * New upstream release.
  * Add missed development dependencies (closes: #794814).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Jun 2016 16:46:51 +0000

dar (2.5.4-1) unstable; urgency=low

  * New upstream release:
    - fixes xz compression support (closes: #807372).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Apr 2016 18:14:34 +0000

## dar 2.5.8

=== debian/changelog ===
dar (2.5.8-3) unstable; urgency=medium

  * Auto generate built-using for dar-static (closes: #858865).
  * Use real packages for build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 28 Mar 2017 20:28:46 +0000

dar (2.5.8-2) unstable; urgency=medium

  * Add missed dar_split and its man page to dar (closes: #858116).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Mar 2017 14:53:12 +0000

dar (2.5.8-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Jan 2017 07:39:13 +0000

dar (2.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Nov 2016 16:56:20 +0000

dar (2.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Sep 2016 07:19:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dar
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt-dev, libgpgme11-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-5000 (= ${binary:Version}), ${misc:Depends}
+Depends: libdar64-5000 (= ${binary:Version}), ${misc:Depends}, libattr1-dev, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
@@ -21,8 +20,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libdar64-5000v5
-Replaces: libdar64-5000v5
 Description: Disk ARchive: Shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
@@ -33,7 +30,7 @@
 Package: dar-static
 Architecture: any
 Depends: ${misc:Depends}
-Built-Using: glibc (= 2.19-18), attr (= 1:2.4.47-2), bzip2 (= 1.0.6-7), libgcrypt20 (= 1.6.3-2), libgpg-error (= 1.17-3), lzo2 (= 2.08-1.2), zlib (= 1:1.2.8.dfsg-2)
+Built-Using: ${Built-Using}
 Description: Disk ARchive: Backup directory tree and files
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,15 @@
 
 DEB_INSTALL_DOCS_ALL =
 
+BUILT_USING_PACKAGES = libc6-dev libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev
+
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))
+
+DEB_DH_GENCONTROL_ARGS_dar-static = -- -VBuilt-Using="$(BUILT_USING)"
+
 binary-post-install/dar::
+#	echo "Built:"
+#	echo "$(BUILT_USING)"
 	sed -e "s%SOMEPATH%/usr/share/dar%g" doc/samples/dar_par.dcf > debian/dar/usr/share/dar/dar_par.dcf
 	cp doc/samples/dar_par_create.duc debian/dar/usr/share/dar
 	cp doc/samples/dar_par_test.duc debian/dar/usr/share/dar

## dar 2.5.11

=== debian/changelog ===
dar (2.5.11-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

  [ Pino Toscano <pino@debian.org> ]
  * Fix Built-Using where libc has a SONAME different than libc6
    (closes: #865834).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Jun 2017 15:25:09 +0000

dar (2.5.10-1) experimental; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 18 May 2017 19:14:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
+Build-Depends: debhelper (>= 10), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: libdar-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 DEB_INSTALL_DOCS_ALL =
 
-BUILT_USING_PACKAGES = libc6-dev libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev
+BUILT_USING_PACKAGES = libc-dev-bin libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev
 
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))

## dar 2.5.14%2Bbis

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://sf.net/dar/dar-(\d.*)\.tar\.gz

## dar 2.5.14+bis

=== debian/changelog ===
dar (2.5.14+bis-1) unstable; urgency=medium

  * New upstream release.
  * Use short debhelper rules format.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Feb 2018 16:55:05 +0000

dar (2.5.13-2) unstable; urgency=medium

  [ Rebecca N. Palmer <rebecca_palmer@zoho.com> ]
  * Fix samples path in darrc (closes: #881507).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Nov 2017 15:54:38 +0000

dar (2.5.13-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 31 Oct 2017 22:15:30 +0000

dar (2.5.12-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.1.0:
    - migrate d/copyright to format 1.0 ,
    - remove autotools-dev and dh-autoreconf build dependencies.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 24 Sep 2017 13:50:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, cdbs, doxygen, groff, autotools-dev, liblzo2-dev, dh-autoreconf
+Build-Depends: debhelper (>= 11), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 
 Package: libdar-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := --disable-upx --enable-mode=64
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

BUILT_USING_PACKAGES = libc-dev-bin libattr1-dev libbz2-dev libgcrypt20-dev libgpgme-dev liblzo2-dev zlib1g-dev

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(BUILT_USING_PACKAGES))

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	echo testing is no op

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/usr/share/dar/samples \
		$(CURDIR)/debian/tmp/usr/share/examples
	chmod a-x $(CURDIR)/debian/tmp/usr/share/examples/MyBackup.sh.tar.gz
	cp $(CURDIR)/debian/tmp/usr/share/man/man1/dar.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/dar_static.1

override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -pdar-static -- -VBuilt-Using="$(BUILT_USING)"

%:
	dh $@

.PHONY: override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install override_dpkg-gencontrol

## dar 2.5.16

=== debian/changelog ===
dar (2.5.16-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Jul 2018 20:05:31 +0000

dar (2.5.15-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 May 2018 21:56:38 +0000

dar (2.5.14+bis-2) unstable; urgency=medium

  * Add build dependency for LZMA2 support compilation.
  * Don't install documentation twice.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 10 Mar 2018 16:46:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev
+Build-Depends: debhelper (>= 11), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 
 Package: libdar-dev
 Section: libdevel

## dar 2.5.17

=== debian/changelog ===
dar (2.5.17-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Nov 2018 20:08:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
-Homepage: http://dar.linux.free.fr/
-Standards-Version: 4.1.5
+Homepage: https://dar.linux.free.fr/
+Standards-Version: 4.2.1
 
 Package: libdar-dev
 Section: libdevel

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

https://sf.net/dar/dar-(\d.*)\.tar\.gz

## dar 2.5.18

=== debian/changelog ===
dar (2.5.18-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Dec 2018 16:47:49 +0000

## dar 2.6.0

=== debian/changelog ===
dar (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix Hurd PATH_MAX FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Dec 2018 22:36:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
-Homepage: https://dar.linux.free.fr/
+Build-Depends: debhelper (>= 11), pkg-config, zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
+Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev
+Homepage: http://dar.linux.free.fr/
 Standards-Version: 4.2.1
 
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-5000 (= ${binary:Version}), ${misc:Depends}, libattr1-dev, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev
+Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, libattr1-dev, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote
  operations, including with ssh.
 
-Package: libdar64-5000
+Package: libdar64-6000
 Section: libs
 Architecture: any
 Multi-Arch: same

## dar 2.6.1

=== debian/changelog ===
dar (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Jan 2019 17:12:29 +0000

## dar 2.6.2

=== debian/changelog ===
dar (2.6.2-1) unstable; urgency=medium

  * New upstream release (closes: #922195).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Feb 2019 08:22:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11), pkg-config, zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
 Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 
 Package: libdar-dev
 Section: libdevel

=== debian/watch ===
version=3
https://sf.net/dar/dar-(\d.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dar 2.6.5

=== debian/changelog ===
dar (2.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Jul 2019 19:07:56 +0000

## dar 2.6.8

=== debian/changelog ===
dar (2.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Feb 2020 16:50:43 +0000

dar (2.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Jan 2020 17:09:24 +0000

dar (2.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Sep 2019 13:38:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), pkg-config, zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
-Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev
+Build-Depends: debhelper-compat (= 11), pkg-config, zlib1g-dev, libattr1-dev, libbz2-dev, e2fslibs-dev, libgcrypt20-dev, libgpgme-dev, doxygen, groff, liblzo2-dev, liblzma-dev
+Build-Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev, librsync-dev
 Homepage: http://dar.linux.free.fr/
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 
 Package: libdar-dev
 Section: libdevel
 Architecture: any
-Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, libattr1-dev, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev
+Depends: libdar64-6000 (= ${binary:Version}), ${misc:Depends}, libattr1-dev, libbz2-dev, libgcrypt-dev, liblzo2-dev, zlib1g-dev, libgpg-error-dev, libassuan-dev, liblzma-dev
 Description: Disk ARchive: Development files for shared library
  Full featured archiver with support for differential backups, slices,
  compression, ATTR/ACL support. DAR also supports Pipes for remote

=== debian/watch ===
version=4
https://sf.net/dar/dar-(\d.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dar 2.6.10

=== debian/changelog ===
dar (2.6.10-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Jun 2020 21:13:29 +0200

dar (2.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Remove unused libattr1-dev build dependency (closes: #953928).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 02 Apr 2020 18:10:55 +0000

dar (2.6.8-2) unstable; urgency=medium

  * Tighten libdar64-6000 dependency on dar (closes: #952697).
  * Backport upstream fix for some obvious bug when running doxygen.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Feb 2020 14:33:49 +0000
